using System;
using System.Data;
using System.Windows.Forms;

namespace AyaNovaQBI
{
    public partial class SetQBTerms : Form
    {
        public SetQBTerms()
        {
            InitializeComponent();
        }


        public string DialogTitle { get; set; }

        public string OptionTitle { get; set; }

        public string OptionDescription { get; set; }


        public DataTable QBTerms { get; set; }


        public string SelectedQBTerm
        {
            get
            {
                return cbQBTerms.SelectedValue.ToString();
            }

            set
            {
                _selectedQBTerm = value;
            }
        }
        private string _selectedQBTerm;

        private void SetQBClass_load(object sender, EventArgs e)
        {
            Text = DialogTitle;
            lblDescription.Text = OptionDescription;
            lblTitle.Text = OptionTitle;
            btnCancel.Text = util.AyaTranslations["Cancel"];
            btnOK.Text = util.AyaTranslations["OK"];

            cbQBTerms.DataSource = QBTerms;
            cbQBTerms.DisplayMember = "FullName";
            cbQBTerms.ValueMember = "ID";
            if (!string.IsNullOrWhiteSpace(_selectedQBTerm))
                cbQBTerms.SelectedValue = _selectedQBTerm;

            lblStatus.Text = "QuickBooks invoice terms default";

        }


        private void btnOK_Click(object sender, EventArgs e)
        {

            DialogResult = DialogResult.OK;
            Close();
        }
    }
}
